<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFBEventBasedExcelExtractor (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFBEventBasedExcelExtractor (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFBEventBasedExcelExtractor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html"
               title="class in org.apache.poi.xssf.extractor"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/extractor/XSSFBEventBasedExcelExtractor.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFBEventBasedExcelExtractor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>
                <a href="#nested.classes.inherited.from.class.org.apache.poi.xssf.extractor.XSSFEventBasedExcelExtractor">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.extractor</div>
    <h2 title="Class XSSFBEventBasedExcelExtractor" class="title">Class XSSFBEventBasedExcelExtractor</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                       title="class in org.apache.poi.extractor">org.apache.poi.extractor.POITextExtractor</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                               title="class in org.apache.poi.ooxml.extractor">org.apache.poi.ooxml.extractor.POIXMLTextExtractor</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html"
                                       title="class in org.apache.poi.xssf.extractor">org.apache.poi.xssf.extractor.XSSFEventBasedExcelExtractor</a>
                                </li>
                                <li>
                                    <ul class="inheritance">
                                        <li>org.apache.poi.xssf.extractor.XSSFBEventBasedExcelExtractor</li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Closeable, java.lang.AutoCloseable, <a
                            href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html"
                            title="interface in org.apache.poi.ss.extractor">ExcelExtractor</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFBEventBasedExcelExtractor</span>
extends <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html"
           title="class in org.apache.poi.xssf.extractor">XSSFEventBasedExcelExtractor</a>
implements <a href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html"
              title="interface in org.apache.poi.ss.extractor">ExcelExtractor</a></pre>
                <div class="block">Implementation of a text extractor or xlsb Excel
                    files that uses SAX-like binary parsing.
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Since:</span></dt>
                    <dd>3.16-beta3</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.xssf.extractor.XSSFEventBasedExcelExtractor">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.xssf.extractor.<a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html"
                                        title="class in org.apache.poi.xssf.extractor">XSSFEventBasedExcelExtractor</a>
                                </h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.SheetTextExtractor.html"
                                        title="class in org.apache.poi.xssf.extractor">XSSFEventBasedExcelExtractor.SheetTextExtractor</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRelation.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFRelation</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFBEventBasedExcelExtractor.html#SUPPORTED_TYPES">SUPPORTED_TYPES</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.xssf.extractor.XSSFEventBasedExcelExtractor">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.xssf.extractor.<a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html"
                                        title="class in org.apache.poi.xssf.extractor">XSSFEventBasedExcelExtractor</a>
                                </h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#concatenatePhoneticRuns">concatenatePhoneticRuns</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#container">container</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#formulasNotResults">formulasNotResults</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#includeCellComments">includeCellComments</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#includeHeadersFooters">includeHeadersFooters</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#includeSheetNames">includeSheetNames</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#includeTextBoxes">includeTextBoxes</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#locale">locale</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#properties">properties</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFBEventBasedExcelExtractor.html#XSSFBEventBasedExcelExtractor-org.apache.poi.openxml4j.opc.OPCPackage-">XSSFBEventBasedExcelExtractor</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;container)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFBEventBasedExcelExtractor.html#XSSFBEventBasedExcelExtractor-java.lang.String-">XSSFBEventBasedExcelExtractor</a></span>(java.lang.String&nbsp;path)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFBEventBasedExcelExtractor.html#getText--">getText</a></span>()</code>
                                    <div class="block">Processes the file and returns the text</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFBEventBasedExcelExtractor.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFBEventBasedExcelExtractor.html#processSheet-org.apache.poi.xssf.eventusermodel.XSSFSheetXMLHandler.SheetContentsHandler-org.apache.poi.xssf.binary.XSSFBStylesTable-org.apache.poi.xssf.binary.XSSFBCommentsTable-org.apache.poi.xssf.model.SharedStrings-java.io.InputStream-">processSheet</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html"
                                        title="interface in org.apache.poi.xssf.eventusermodel">XSSFSheetXMLHandler.SheetContentsHandler</a>&nbsp;sheetContentsExtractor,
                                    <a href="../../../../../org/apache/poi/xssf/binary/XSSFBStylesTable.html"
                                       title="class in org.apache.poi.xssf.binary">XSSFBStylesTable</a>&nbsp;styles,
                                    <a href="../../../../../org/apache/poi/xssf/binary/XSSFBCommentsTable.html"
                                       title="class in org.apache.poi.xssf.binary">XSSFBCommentsTable</a>&nbsp;comments,
                                    <a href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                                       title="interface in org.apache.poi.xssf.model">SharedStrings</a>&nbsp;strings,
                                    java.io.InputStream&nbsp;sheetInputStream)</code>
                                    <div class="block">Processes the given sheet</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFBEventBasedExcelExtractor.html#setFormulasNotResults-boolean-">setFormulasNotResults</a></span>(boolean&nbsp;formulasNotResults)</code>
                                    <div class="block">Should we return the formula itself, and not
                                        the result it produces? Default is false
                                        This is currently unsupported for xssfb
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFBEventBasedExcelExtractor.html#setHandleHyperlinksInCells-boolean-">setHandleHyperlinksInCells</a></span>(boolean&nbsp;handleHyperlinksInCells)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xssf.extractor.XSSFEventBasedExcelExtractor">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xssf.extractor.<a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html"
                                        title="class in org.apache.poi.xssf.extractor">XSSFEventBasedExcelExtractor</a>
                                </h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#close--">close</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#createSharedStringsTable-org.apache.poi.xssf.eventusermodel.XSSFReader-org.apache.poi.openxml4j.opc.OPCPackage-">createSharedStringsTable</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getCoreProperties--">getCoreProperties</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getCustomProperties--">getCustomProperties</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getExtendedProperties--">getExtendedProperties</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getFormulasNotResults--">getFormulasNotResults</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getIncludeCellComments--">getIncludeCellComments</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getIncludeHeadersFooters--">getIncludeHeadersFooters</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getIncludeSheetNames--">getIncludeSheetNames</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getIncludeTextBoxes--">getIncludeTextBoxes</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getLocale--">getLocale</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getPackage--">getPackage</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#processSheet-org.apache.poi.xssf.eventusermodel.XSSFSheetXMLHandler.SheetContentsHandler-org.apache.poi.xssf.model.Styles-org.apache.poi.xssf.model.Comments-org.apache.poi.xssf.model.SharedStrings-java.io.InputStream-">processSheet</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#setConcatenatePhoneticRuns-boolean-">setConcatenatePhoneticRuns</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#setIncludeCellComments-boolean-">setIncludeCellComments</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#setIncludeHeadersFooters-boolean-">setIncludeHeadersFooters</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#setIncludeSheetNames-boolean-">setIncludeSheetNames</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#setIncludeTextBoxes-boolean-">setIncludeTextBoxes</a>,
                                    <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#setLocale-java.util.Locale-">setLocale</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ooxml.extractor.POIXMLTextExtractor">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ooxml.extractor.<a
                                        href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                                        title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html#checkMaxTextSize-java.lang.CharSequence-java.lang.String-">checkMaxTextSize</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html#getDocument--">getDocument</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html#getMetadataTextExtractor--">getMetadataTextExtractor</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.extractor.POITextExtractor">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.extractor.<a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html#setFilesystem-java.io.Closeable-">setFilesystem</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.extractor.ExcelExtractor">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.extractor.<a
                                        href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html"
                                        title="interface in org.apache.poi.ss.extractor">ExcelExtractor</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html#setIncludeCellComments-boolean-">setIncludeCellComments</a>,
                                    <a href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html#setIncludeHeadersFooters-boolean-">setIncludeHeadersFooters</a>,
                                    <a href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html#setIncludeSheetNames-boolean-">setIncludeSheetNames</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="SUPPORTED_TYPES">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>SUPPORTED_TYPES</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRelation.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFRelation</a>[] SUPPORTED_TYPES</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFBEventBasedExcelExtractor-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFBEventBasedExcelExtractor</h4>
                                <pre>public&nbsp;XSSFBEventBasedExcelExtractor(java.lang.String&nbsp;path)
                              throws org.apache.xmlbeans.XmlException,
                                     <a href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                        title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a>,
                                     java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>org.apache.xmlbeans.XmlException</code></dd>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a></code>
                                    </dd>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="XSSFBEventBasedExcelExtractor-org.apache.poi.openxml4j.opc.OPCPackage-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFBEventBasedExcelExtractor</h4>
                                <pre>public&nbsp;XSSFBEventBasedExcelExtractor(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;container)
                              throws org.apache.xmlbeans.XmlException,
                                     <a href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                        title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a>,
                                     java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>org.apache.xmlbeans.XmlException</code></dd>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a></code>
                                    </dd>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="main-java.lang.String:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>main</h4>
                                <pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)
                 throws java.lang.Exception</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.Exception</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHandleHyperlinksInCells-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHandleHyperlinksInCells</h4>
                                <pre>public&nbsp;void&nbsp;setHandleHyperlinksInCells(boolean&nbsp;handleHyperlinksInCells)</pre>
                            </li>
                        </ul>
                        <a name="setFormulasNotResults-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFormulasNotResults</h4>
                                <pre>public&nbsp;void&nbsp;setFormulasNotResults(boolean&nbsp;formulasNotResults)</pre>
                                <div class="block">Should we return the formula itself, and not
                                    the result it produces? Default is false
                                    This is currently unsupported for xssfb
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html#setFormulasNotResults-boolean-">setFormulasNotResults</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html"
                                                title="interface in org.apache.poi.ss.extractor">ExcelExtractor</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#setFormulasNotResults-boolean-">setFormulasNotResults</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html"
                                                title="class in org.apache.poi.xssf.extractor">XSSFEventBasedExcelExtractor</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>formulasNotResults</code> - <code>true</code> if the formula itself is
                                        returned
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processSheet-org.apache.poi.xssf.eventusermodel.XSSFSheetXMLHandler.SheetContentsHandler-org.apache.poi.xssf.binary.XSSFBStylesTable-org.apache.poi.xssf.binary.XSSFBCommentsTable-org.apache.poi.xssf.model.SharedStrings-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processSheet</h4>
                                <pre>public&nbsp;void&nbsp;processSheet(<a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html"
                                        title="interface in org.apache.poi.xssf.eventusermodel">XSSFSheetXMLHandler.SheetContentsHandler</a>&nbsp;sheetContentsExtractor,
                         <a href="../../../../../org/apache/poi/xssf/binary/XSSFBStylesTable.html"
                            title="class in org.apache.poi.xssf.binary">XSSFBStylesTable</a>&nbsp;styles,
                         <a href="../../../../../org/apache/poi/xssf/binary/XSSFBCommentsTable.html"
                            title="class in org.apache.poi.xssf.binary">XSSFBCommentsTable</a>&nbsp;comments,
                         <a href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                            title="interface in org.apache.poi.xssf.model">SharedStrings</a>&nbsp;strings,
                         java.io.InputStream&nbsp;sheetInputStream)
                  throws java.io.IOException</pre>
                                <div class="block">Processes the given sheet</div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getText--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getText()</pre>
                                <div class="block">Processes the file and returns the text</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html#getText--">getText</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html"
                                                title="interface in org.apache.poi.ss.extractor">ExcelExtractor</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getText--">getText</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html"
                                                title="class in org.apache.poi.xssf.extractor">XSSFEventBasedExcelExtractor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>All the text from the document</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFBEventBasedExcelExtractor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html"
               title="class in org.apache.poi.xssf.extractor"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/extractor/XSSFBEventBasedExcelExtractor.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFBEventBasedExcelExtractor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>
                <a href="#nested.classes.inherited.from.class.org.apache.poi.xssf.extractor.XSSFEventBasedExcelExtractor">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
